#ifndef UI_H
#define UI_H 1

#include <FL/Fl_Shared_Image.H> // Image I/O
#include <FL/Fl_Color_Chooser.H>

#include "_ui.h"
#include "config.h"

class GrabPngUI : public _GrabPngUI 
{
private:
  
  Config *config;

public:
  
  GrabPngUI();
  ~GrabPngUI();

  // callbacks
  virtual void imagebox_cb(ImageBox *o, void *v);
  virtual void colorpicker_cb();
  virtual void window_cb();

  int handle(int e);
  
};

#endif
